Bug 1674690 - bench: FTBFS in Fedora rawhide/f30
Summary: bench: FTBFS in Fedora rawhide/f30
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: bench
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Elliott Sales de Andrade
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F30FTBFS
TreeView+ depends on / blocked
 
Reported: 2019-02-11 16:52 UTC by Fedora Release Engineering
Modified: 2019-03-29 19:12 UTC (History)
1 user (show)

Fixed In Version: bench-1.0.12-3.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-03-29 19:12:48 UTC


Attachments (Terms of Use)
build.log (1.00 KB, text/plain)
2019-02-11 16:52 UTC, Fedora Release Engineering
no flags Details
root.log (1.00 KB, text/plain)
2019-02-11 16:52 UTC, Fedora Release Engineering
no flags Details
state.log (617 bytes, text/plain)
2019-02-11 16:52 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2019-02-11 16:52:51 UTC
bench failed to build from source in Fedora rawhide/f30

https://koji.fedoraproject.org/koji/taskinfo?taskID=32368425


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild
Please fix bench at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
bench will be orphaned. Before branching of Fedora 31,
bench will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Fedora Release Engineering 2019-02-11 16:52:53 UTC
Created attachment 1529372 [details]
build.log

file build.log too big, will only attach last 1024 bytes

Comment 2 Fedora Release Engineering 2019-02-11 16:52:54 UTC
Created attachment 1529373 [details]
root.log

file root.log too big, will only attach last 1024 bytes

Comment 3 Fedora Release Engineering 2019-02-11 16:52:57 UTC
Created attachment 1529374 [details]
state.log

Comment 4 Fedora Update System 2019-03-13 09:17:12 UTC
Agda-2.5.4.2-17.fc30 Agda-stdlib-0.17-1.fc30 ShellCheck-0.6.0-3.fc30 alex-3.2.4-3.fc30 bench-1.0.12-3.fc30 brainfuck-0.1.0.3-11.fc30 bustle-0.7.4-1.fc30 cab-0.2.18-4.fc30 cabal-install-2.2.0.0-1.fc30 cabal-rpm-0.13-1.fc30 cpphs-1.20.8-7.fc30 darcs-2.14.1-20.fc30 ghc-8.4.4-74.fc30 ghc-Boolean-0.2.4-8.fc30 ghc-ConfigFile-1.1.4-13.fc30 ghc-DAV-1.3.3-1.fc30 ghc-Decimal-0.5.1-3.fc30 ghc-Diff-0.3.4-10.fc30 ghc-Glob-0.9.3-1.fc30 ghc-HSH-2.1.3-6.fc30 ghc-HStringTemplate-0.8.7-3.fc30 ghc-HTTP-4000.3.12-3.fc30 ghc-HUnit-1.6.0.0-5.fc30 ghc-IOSpec-0.3.1.1-1.fc30 ghc-IfElse-0.85-18.fc30 ghc-JuicyPixels-3.2.9.5-4.fc30 ghc-MemoTrie-0.6.9-3.fc30 ghc-MissingH-1.4.1.0-1.fc30 ghc-MonadCatchIO-mtl-0.3.1.0-12.fc30 ghc-MonadCatchIO-transformers-0.3.1.3-12.fc30 ghc-MonadRandom-0.5.1.1-3.fc30 ghc-NumInstances-1.4-12.fc30 ghc-Only-0.1-6.fc30 ghc-QuickCheck-2.11.3-1.fc30 ghc-RSA-2.3.0-6.fc30 ghc-SHA-1.6.4.4-3.fc30 ghc-STMonadTrans-0.4.3-9.fc30 ghc-SafeSemaphore-0.10.1-13.fc30 ghc-StateVar-1.1.1.1-1.fc30 ghc-Stream-0.4.7.2-13.fc30 ghc-X11-1.9-2.fc30 ghc-X11-xft-0.3.1-26.fc30 ghc-abstract-deque-0.3-6.fc30 ghc-abstract-par-0.3.3-6.fc30 ghc-adjunctions-4.4-5.fc30 ghc-aeson-1.3.1.1-1.fc30 ghc-aeson-compat-0.3.9-1.fc30 ghc-aeson-pretty-0.8.7-3.fc30 ghc-annotated-wl-pprint-0.7.0-6.fc30 ghc-ansi-terminal-0.8.2-1.fc30 ghc-ansi-wl-pprint-0.6.8.2-3.fc30 ghc-appar-0.1.7-1.fc30 ghc-arrows-0.4.4.2-3.fc30 ghc-asn1-encoding-0.9.5-9.fc30 ghc-asn1-parse-0.9.4-10.fc30 ghc-asn1-types-0.3.2-10.fc30 ghc-async-2.2.1-1.fc30 ghc-attempt-0.4.0.1-12.fc30 ghc-attoparsec-0.13.2.2-3.fc30 ghc-attoparsec-binary-0.2-7.fc30 ghc-attoparsec-iso8601-1.0.1.0-1.fc30 ghc-authenticate-oauth-1.6-7.fc30 ghc-auto-update-0.1.4-13.fc30 ghc-aws-0.21-1.fc30 ghc-base-compat-0.10.5-1.fc30 ghc-base-orphans-0.7-4.fc30 ghc-base-prelude-1.3-1.fc30 ghc-base-unicode-symbols-0.2.2.4-18.fc30 ghc-base16-bytestring-0.1.1.6-13.fc30 ghc-base64-bytestring-1.0.0.2-1.fc30 ghc-basement-0.0.8-3.fc30 ghc-bencode-0.6.0.0-10.fc30 ghc-bifunctors-5.5.3-5.fc30 ghc-binary-shared-0.8.3-17.fc30 ghc-bindings-DSL-1.0.25-3.fc30 ghc-blaze-builder-0.4.1.0-3.fc30 ghc-blaze-html-0.9.1.1-3.fc30 ghc-blaze-markup-0.8.2.2-1.fc30 ghc-blaze-textual-0.2.1.0-11.fc30 ghc-bloomfilter-2.0.1.0-11.fc30 ghc-boxes-0.1.5-3.fc30 ghc-bsb-http-chunked-0.0.0.4-1.fc30 ghc-byteable-0.1.1-16.fc30 ghc-byteorder-1.0.4-16.fc30 ghc-bytestring-nums-0.3.6-17.fc30 ghc-bytestring-show-0.3.5.6-14.fc30 ghc-cabal-file-th-0.2.6-1.fc30 ghc-cairo-0.13.5.0-3.fc30 ghc-call-stack-0.1.0-9.fc30 ghc-case-insensitive-1.2.0.11-3.fc30 ghc-cassava-0.5.1.0-7.fc30 ghc-cautious-file-1.0.2-19.fc30 ghc-cereal-0.5.7.0-1.fc30 ghc-chalmers-lava2000-1.6.1-10.fc30 ghc-cheapskate-0.1.1.1-1.fc30 ghc-chunked-data-0.3.1-3.fc30 ghc-cipher-aes-0.2.11-11.fc30 ghc-clientsession-0.9.1.2-7.fc30 ghc-clock-0.7.2-10.fc30 ghc-cmark-0.5.6-7.fc30 ghc-cmark-gfm-0.1.6-1.fc30 ghc-cmdargs-0.10.20-3.fc30 ghc-code-page-0.1.3-6.fc30 ghc-codec-rpm-0.2.2-3.fc30 ghc-colour-2.3.4-5.fc30 ghc-comonad-5.0.4-5.fc30 ghc-concatenative-1.0.1-16.fc30 ghc-concurrent-extra-0.7.0.12-3.fc30 ghc-concurrent-output-1.10.9-1.fc30 ghc-cond-0.4.1.1-6.fc30 ghc-conduit-1.3.1-1.fc30 ghc-conduit-extra-1.3.0-3.fc30 ghc-connection-0.2.8-8.fc30 ghc-contravariant-1.4.1-3.fc30 ghc-control-monad-free-0.6.2-1.fc30 ghc-cookie-0.4.4-3.fc30 ghc-cpio-conduit-0.7.0-9.fc30 ghc-cprng-aes-0.6.1-9.fc30 ghc-criterion-1.4.1.0-1.fc30 ghc-crypto-api-0.13.3-6.fc30 ghc-crypto-cipher-types-0.0.9-19.fc30 ghc-crypto-pubkey-types-0.4.3-7.fc30 ghc-crypto-random-0.0.9-12.fc30 ghc-cryptohash-0.11.9-11.fc30 ghc-cryptohash-md5-0.11.100.1-10.fc30 ghc-cryptohash-sha1-0.11.100.1-10.fc30 ghc-cryptohash-sha256-0.11.101.0-5.fc30 ghc-cryptonite-0.25-3.fc30 ghc-cryptonite-conduit-0.2.2-6.fc30 ghc-css-text-0.1.3.0-3.fc30 ghc-csv-0.1.2-34.fc30 ghc-data-accessor-0.2.2.8-1.fc30 ghc-data-default-0.7.1.1-10.fc30 ghc-data-default-class-0.1.2.0-8.fc30 ghc-data-default-instances-containers-0.0.1-9.fc30 ghc-data-default-instances-dlist-0.0.1-10.fc30 ghc-data-default-instances-old-locale-0.0.1-9.fc30 ghc-data-hash-0.2.0.1-10.fc30 ghc-data-inttrie-0.1.4-3.fc30 ghc-data-memocombinators-0.5.1-13.fc30 ghc-data-reify-0.6.1-10.fc30 ghc-dataenc-0.14.0.7-12.fc30 ghc-date-cache-0.3.0-18.fc30 ghc-dbus-1.1.1-1.fc30 ghc-deepseq-generics-0.2.0.0-9.fc30 ghc-derive-2.6.5-1.fc30 ghc-digest-0.0.1.2-17.fc30 ghc-disk-free-space-0.1.0.1-9.fc30 ghc-distributive-0.5.3-11.fc30 ghc-djinn-ghc-0.0.2.3-5.fc30 ghc-djinn-lib-0.0.1.3-5.fc30 ghc-dlist-0.8.0.5-1.fc30 ghc-dns-3.0.4-5.fc30 ghc-doctemplates-0.2.2.1-3.fc30 ghc-doctest-0.16.0.1-1.fc30 ghc-dotgen-0.4.2-10.fc30 ghc-echo-0.1.3-7.fc30 ghc-ed25519-0.0.5.0-12.fc30 ghc-edit-distance-0.2.2.1-11.fc30 ghc-email-validate-2.3.2.9-1.fc30 ghc-enclosed-exceptions-1.0.3-3.fc30 ghc-entropy-0.4.1.4-1.fc30 ghc-equivalence-0.3.3-1.fc30 ghc-erf-2.0.0.0-6.fc30 ghc-esqueleto-2.6.0-1.fc30 ghc-exceptions-0.10.0-1.fc30 ghc-executable-path-0.0.3.1-5.fc30 ghc-explicit-exception-0.1.9.2-5.fc30 ghc-extensible-exceptions-0.1.1.4-27.fc30 ghc-extra-1.6.14-1.fc30 ghc-failure-0.2.0.3-12.fc30 ghc-fast-logger-2.4.11-3.fc30 ghc-fclabels-2.0.3.3-7.fc30 ghc-fdo-notify-0.3.1-13.fc30 ghc-feed-1.0.1.0-1.fc30 ghc-fgl-5.6.0.0-4.fc30 ghc-file-embed-0.0.10.1-5.fc30 ghc-filemanip-0.3.6.3-12.fc30 ghc-filestore-0.6.3.4-1.fc30 ghc-fingertree-0.1.4.2-1.fc30 ghc-foldl-1.4.5-1.fc30 ghc-foundation-0.0.21-3.fc30 ghc-free-5.0.2-5.fc30 ghc-fsnotify-0.3.0.1-1.fc30 ghc-generic-deriving-1.12.2-4.fc30 ghc-generics-sop-0.3.2.0-3.fc30 ghc-ghc-mtl-1.2.1.0-17.fc30 ghc-ghc-paths-0.1.0.9-16.fc30 ghc-ghc-syb-utils-0.3.0.0-1.fc30 ghc-gi-atk-2.0.15-3.fc30 ghc-gi-cairo-1.0.17-3.fc30 ghc-gi-gdk-3.0.16-3.fc30 ghc-gi-gdkpixbuf-2.0.16-3.fc30 ghc-gi-ggit-1.0.2-9.fc30 ghc-gi-gio-2.0.18-3.fc30 ghc-gi-glib-2.0.17-3.fc30 ghc-gi-gobject-2.0.16-7.fc30 ghc-gi-gtk-3.0.26-1.fc30 ghc-gi-ostree-1.0.6-7.fc30 ghc-gi-pango-1.0.16-4.fc30 ghc-gio-0.13.5.0-3.fc30 ghc-gitrev-1.3.1-14.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-15904b867b

Comment 5 Fedora Update System 2019-03-29 19:12:48 UTC
Agda-2.5.4.2-17.fc30, Agda-stdlib-0.17-1.fc30, ShellCheck-0.6.0-3.fc30, alex-3.2.4-3.fc30, bench-1.0.12-3.fc30, brainfuck-0.1.0.3-11.fc30, bustle-0.7.4-1.fc30, cab-0.2.18-4.fc30, cabal-install-2.2.0.0-1.fc30, cabal-rpm-0.13-1.fc30, cpphs-1.20.8-7.fc30, darcs-2.14.1-20.fc30, ghc-8.4.4-74.fc30, ghc-Boolean-0.2.4-8.fc30, ghc-ConfigFile-1.1.4-13.fc30, ghc-DAV-1.3.3-1.fc30, ghc-Decimal-0.5.1-3.fc30, ghc-Diff-0.3.4-10.fc30, ghc-Glob-0.9.3-1.fc30, ghc-HSH-2.1.3-6.fc30, ghc-HStringTemplate-0.8.7-3.fc30, ghc-HTTP-4000.3.12-3.fc30, ghc-HUnit-1.6.0.0-5.fc30, ghc-IOSpec-0.3.1.1-1.fc30, ghc-IfElse-0.85-18.fc30, ghc-JuicyPixels-3.2.9.5-4.fc30, ghc-MemoTrie-0.6.9-3.fc30, ghc-MissingH-1.4.1.0-1.fc30, ghc-MonadCatchIO-mtl-0.3.1.0-12.fc30, ghc-MonadCatchIO-transformers-0.3.1.3-12.fc30, ghc-MonadRandom-0.5.1.1-3.fc30, ghc-NumInstances-1.4-12.fc30, ghc-Only-0.1-6.fc30, ghc-QuickCheck-2.11.3-1.fc30, ghc-RSA-2.3.0-6.fc30, ghc-SHA-1.6.4.4-3.fc30, ghc-STMonadTrans-0.4.3-9.fc30, ghc-SafeSemaphore-0.10.1-13.fc30, ghc-StateVar-1.1.1.1-1.fc30, ghc-Stream-0.4.7.2-13.fc30, ghc-X11-1.9-2.fc30, ghc-X11-xft-0.3.1-26.fc30, ghc-abstract-deque-0.3-6.fc30, ghc-abstract-par-0.3.3-6.fc30, ghc-adjunctions-4.4-5.fc30, ghc-aeson-1.3.1.1-1.fc30, ghc-aeson-compat-0.3.9-1.fc30, ghc-aeson-pretty-0.8.7-3.fc30, ghc-annotated-wl-pprint-0.7.0-6.fc30, ghc-ansi-terminal-0.8.2-1.fc30, ghc-ansi-wl-pprint-0.6.8.2-3.fc30, ghc-appar-0.1.7-1.fc30, ghc-arrows-0.4.4.2-3.fc30, ghc-asn1-encoding-0.9.5-9.fc30, ghc-asn1-parse-0.9.4-10.fc30, ghc-asn1-types-0.3.2-10.fc30, ghc-async-2.2.1-1.fc30, ghc-attempt-0.4.0.1-12.fc30, ghc-attoparsec-0.13.2.2-3.fc30, ghc-attoparsec-binary-0.2-7.fc30, ghc-attoparsec-iso8601-1.0.1.0-1.fc30, ghc-authenticate-oauth-1.6-7.fc30, ghc-auto-update-0.1.4-13.fc30, ghc-aws-0.21-1.fc30, ghc-base-compat-0.10.5-1.fc30, ghc-base-orphans-0.7-4.fc30, ghc-base-prelude-1.3-1.fc30, ghc-base-unicode-symbols-0.2.2.4-18.fc30, ghc-base16-bytestring-0.1.1.6-13.fc30, ghc-base64-bytestring-1.0.0.2-1.fc30, ghc-basement-0.0.8-3.fc30, ghc-bencode-0.6.0.0-10.fc30, ghc-bifunctors-5.5.3-5.fc30, ghc-binary-shared-0.8.3-17.fc30, ghc-bindings-DSL-1.0.25-3.fc30, ghc-blaze-builder-0.4.1.0-3.fc30, ghc-blaze-html-0.9.1.1-3.fc30, ghc-blaze-markup-0.8.2.2-1.fc30, ghc-blaze-textual-0.2.1.0-11.fc30, ghc-bloomfilter-2.0.1.0-11.fc30, ghc-boxes-0.1.5-3.fc30, ghc-bsb-http-chunked-0.0.0.4-1.fc30, ghc-byteable-0.1.1-16.fc30, ghc-byteorder-1.0.4-16.fc30, ghc-bytestring-nums-0.3.6-17.fc30, ghc-bytestring-show-0.3.5.6-14.fc30, ghc-cabal-file-th-0.2.6-1.fc30, ghc-cairo-0.13.5.0-3.fc30, ghc-call-stack-0.1.0-9.fc30, ghc-case-insensitive-1.2.0.11-3.fc30, ghc-cassava-0.5.1.0-7.fc30, ghc-cautious-file-1.0.2-19.fc30, ghc-cereal-0.5.7.0-1.fc30, ghc-chalmers-lava2000-1.6.1-10.fc30, ghc-cheapskate-0.1.1.1-1.fc30, ghc-chunked-data-0.3.1-3.fc30, ghc-cipher-aes-0.2.11-11.fc30, ghc-clientsession-0.9.1.2-7.fc30, ghc-clock-0.7.2-10.fc30, ghc-cmark-0.5.6-7.fc30, ghc-cmark-gfm-0.1.6-1.fc30, ghc-cmdargs-0.10.20-3.fc30, ghc-code-page-0.1.3-6.fc30, ghc-codec-rpm-0.2.2-3.fc30, ghc-colour-2.3.4-5.fc30, ghc-comonad-5.0.4-5.fc30, ghc-concatenative-1.0.1-16.fc30, ghc-concurrent-extra-0.7.0.12-3.fc30, ghc-concurrent-output-1.10.9-1.fc30, ghc-cond-0.4.1.1-6.fc30, ghc-conduit-1.3.1-1.fc30, ghc-conduit-extra-1.3.0-3.fc30, ghc-connection-0.2.8-8.fc30, ghc-contravariant-1.4.1-3.fc30, ghc-control-monad-free-0.6.2-1.fc30, ghc-cookie-0.4.4-3.fc30, ghc-cpio-conduit-0.7.0-9.fc30, ghc-cprng-aes-0.6.1-9.fc30, ghc-criterion-1.4.1.0-1.fc30, ghc-crypto-api-0.13.3-6.fc30, ghc-crypto-cipher-types-0.0.9-19.fc30, ghc-crypto-pubkey-types-0.4.3-7.fc30, ghc-crypto-random-0.0.9-12.fc30, ghc-cryptohash-0.11.9-11.fc30, ghc-cryptohash-md5-0.11.100.1-10.fc30, ghc-cryptohash-sha1-0.11.100.1-10.fc30, ghc-cryptohash-sha256-0.11.101.0-5.fc30, ghc-cryptonite-0.25-3.fc30, ghc-cryptonite-conduit-0.2.2-6.fc30, ghc-css-text-0.1.3.0-3.fc30, ghc-csv-0.1.2-34.fc30, ghc-data-accessor-0.2.2.8-1.fc30, ghc-data-default-0.7.1.1-10.fc30, ghc-data-default-class-0.1.2.0-8.fc30, ghc-data-default-instances-containers-0.0.1-9.fc30, ghc-data-default-instances-dlist-0.0.1-10.fc30, ghc-data-default-instances-old-locale-0.0.1-9.fc30, ghc-data-hash-0.2.0.1-10.fc30, ghc-data-inttrie-0.1.4-3.fc30, ghc-data-memocombinators-0.5.1-13.fc30, ghc-data-reify-0.6.1-10.fc30, ghc-dataenc-0.14.0.7-12.fc30, ghc-date-cache-0.3.0-18.fc30, ghc-dbus-1.1.1-1.fc30, ghc-deepseq-generics-0.2.0.0-9.fc30, ghc-derive-2.6.5-1.fc30, ghc-digest-0.0.1.2-17.fc30, ghc-disk-free-space-0.1.0.1-9.fc30, ghc-distributive-0.5.3-11.fc30, ghc-djinn-ghc-0.0.2.3-5.fc30, ghc-djinn-lib-0.0.1.3-5.fc30, ghc-dlist-0.8.0.5-1.fc30, ghc-dns-3.0.4-5.fc30, ghc-doctemplates-0.2.2.1-3.fc30, ghc-doctest-0.16.0.1-1.fc30, ghc-dotgen-0.4.2-10.fc30, ghc-echo-0.1.3-7.fc30, ghc-ed25519-0.0.5.0-12.fc30, ghc-edit-distance-0.2.2.1-11.fc30, ghc-email-validate-2.3.2.9-1.fc30, ghc-enclosed-exceptions-1.0.3-3.fc30, ghc-entropy-0.4.1.4-1.fc30, ghc-equivalence-0.3.3-1.fc30, ghc-erf-2.0.0.0-6.fc30, ghc-esqueleto-2.6.0-1.fc30, ghc-exceptions-0.10.0-1.fc30, ghc-executable-path-0.0.3.1-5.fc30, ghc-explicit-exception-0.1.9.2-5.fc30, ghc-extensible-exceptions-0.1.1.4-27.fc30, ghc-extra-1.6.14-1.fc30, ghc-failure-0.2.0.3-12.fc30, ghc-fast-logger-2.4.11-3.fc30, ghc-fclabels-2.0.3.3-7.fc30, ghc-fdo-notify-0.3.1-13.fc30, ghc-feed-1.0.1.0-1.fc30, ghc-fgl-5.6.0.0-4.fc30, ghc-file-embed-0.0.10.1-5.fc30, ghc-filemanip-0.3.6.3-12.fc30, ghc-filestore-0.6.3.4-1.fc30, ghc-fingertree-0.1.4.2-1.fc30, ghc-foldl-1.4.5-1.fc30, ghc-foundation-0.0.21-3.fc30, ghc-free-5.0.2-5.fc30, ghc-fsnotify-0.3.0.1-1.fc30, ghc-generic-deriving-1.12.2-4.fc30, ghc-generics-sop-0.3.2.0-3.fc30, ghc-ghc-mtl-1.2.1.0-17.fc30, ghc-ghc-paths-0.1.0.9-16.fc30, ghc-ghc-syb-utils-0.3.0.0-1.fc30, ghc-gi-atk-2.0.15-3.fc30, ghc-gi-cairo-1.0.17-3.fc30, ghc-gi-gdk-3.0.16-3.fc30, ghc-gi-gdkpixbuf-2.0.16-3.fc30, ghc-gi-ggit-1.0.2-9.fc30, ghc-gi-gio-2.0.18-3.fc30, ghc-gi-glib-2.0.17-3.fc30, ghc-gi-gobject-2.0.16-7.fc30, ghc-gi-gtk-3.0.26-1.fc30, ghc-gi-ostree-1.0.6-7.fc30, ghc-gi-pango-1.0.16-4.fc30, ghc-gio-0.13.5.0-3.fc30, ghc-gitrev-1.3.1-14.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.